## haskell-happy-lib 2.1.2

=== debian/changelog ===
haskell-happy-lib (2.1.2-1) unstable; urgency=low

  * Initial release

 -- Clint Adams <clint@debian.org>  Sun, 04 Jan 2026 21:22:01 -0500
