=== debian/control ===
Source: haskell-happy-lib
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.16.42),
 dh-sequence-haskell,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.7.3
Homepage: https://www.haskell.org/happy/
Description: parser generator for Haskell
 Happy is a parser generator for Haskell.  Given a grammar
 specification in BNF, Happy generates Haskell code to parse the
 grammar.  Happy works in a similar way to the yacc tool for C.
 .
 This library provides the following functionality:
 .
   * Data type definitions for the Grammar AST type, capturing
     the information in .y-files (Happy.Grammar)
 .
   * A parser for happy grammar files (.y) to produce a Grammar
     (Happy.Frontend.*)
 .
   * Implementations of the text book algorithms that compute the
     LR action and goto tables for the given 'Grammar'
     (Happy.Tabular.*)
 .
   * An LALR code generator to produce table-driven, deterministic
     parsing code in Haskell (Happy.Backend.LALR.*)
 .
   * A (less maintained) GLR code generator to produce
     table-driven, non-deterministic parsing code in Haskell,
     where ambiguous parses produce multiple parse trees
     (Happy.Backend.GLR.*)

Package: libghc-happy-lib-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-happy-lib-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-happy-lib-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-happy-lib-data
Architecture: all
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
