## haskell-happy-lib 2.1.7

=== debian/changelog ===
haskell-happy-lib (2.1.7-3) unstable; urgency=medium

  * Require haskell-devscripts (>= 0.16.46) to build.

 -- Scott Talbert <swt@techie.net>  Fri, 30 Jan 2026 21:04:16 -0500

haskell-happy-lib (2.1.7-2) unstable; urgency=medium

  * Require haskell-devscripts (>= 0.16.45) to build.

 -- Clint Adams <clint@debian.org>  Mon, 19 Jan 2026 22:59:51 -0500

haskell-happy-lib (2.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 19 Jan 2026 12:55:22 -0500
