=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
- haskell-devscripts-minimal | haskell-devscripts (>= 0.16.42),
+ haskell-devscripts (>= 0.16.46),
  dh-sequence-haskell,
  ghc,
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
 Standards-Version: 4.7.3
 Homepage: https://www.haskell.org/happy/
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-happy-lib/
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-happy-lib]
 Description: parser generator for Haskell
  Happy is a parser generator for Haskell.  Given a grammar
  specification in BNF, Happy generates Haskell code to parse the
